cd $(dirname "$0")
echo $(dirname "$0")

VERSION="1.0.0"
echo version is $VERSION

URL="http://xxx.xxxxxx.xxx/"
echo url is $URL

echo "删除老版本文件"
rm -r -f build/jsb-link/version.manifest
rm -r -f build/jsb-link/project.manifest
rm -r -f build/jsb-link/update.zip

echo "第一次构建"
/Applications/CocosCreator/Creator/2.4.2/CocosCreator.app/Contents/MacOS/CocosCreator --path $(dirname "$0") --build
echo "第一次构建完成"
node version_generator.js -v $VERSION -u $URL -s build/jsb-link/ -d assets/
echo "热更新版本完成"
echo "第二次构建"
/Applications/CocosCreator/Creator/2.4.2/CocosCreator.app/Contents/MacOS/CocosCreator --path $(dirname "$0") --build
echo "第二次构建完成"

echo "版本文件拷贝"
cp assets/version.manifest build/jsb-link/version.manifest
cp assets/project.manifest build/jsb-link/project.manifest
echo "版本文件拷贝完成"

echo "注入 main.js"
node hot-update.js
echo "main.js 注入完成"

cd build/jsb-link/
echo "开始压缩"
zip -r update.zip assets src version.manifest project.manifest